<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>My Coloring Book Sample: Custom Script</title>
<style type="text/css">
table{border-collapse:collapse}
th{color:#fff;background-color:#003366}
th,td{border:1px solid #002244;padding:4px 8px}
td.arg{background-color:#bbddff}
</style>
</head>
<body>
<p>This script is a sample, for use with custom buttons in <strong>My Coloring Book</strong>.</p>
<p>You can find details on using and creating add-ons for your custom buttons in the 
<a href="http://webmaster.keasoftware.com/my-coloring-book-online/configure-my-coloring-book/84.html">My 
Coloring Book Add-ons</a> article.</p>
<?php
if (array_key_exists("page", $_POST)) { 
	$method = "POST";
	$vars = $_POST; 
} else if (array_key_exists("page", $_GET)) { 
	$method = "GET";
	$vars = $_GET; 
} else {
	die("Variables not found!");
}
echo "<p>The following data has been sent to this script in the $method variables...</p>";
echo "<table>";
echo "<tr><th>Argument</th><th>Description</th><th>Value</th></tr>";
$args = array(
	"page" => "The filename of the original coloring page.",
	"imgWidth" => "The width of the colored in image.",
	"imgHeight" => "The height of the colored in image.",
	"imgType" => "The mime-type for the colored in image.",
	"name" => "The saved file-name.",
	"data" => "The raw image data."
);
foreach ($args as $key => $desc) {
	if (array_key_exists($key, $vars)) {
		$value = $vars[$key];
		if ($key == 'data') {
    		$value = '<em>encoded data</em> ('.substr($value, 0, 80).'...)';
  		}
  	} else {
  		$value = "<em>not applicable</em>";
  	}
	echo "<tr><td class='arg'>$key</td><td>$desc</td><td>$value</td></tr>";
}
echo "</table>";
if (array_key_exists("name", $vars)) {
	echo "<p>Here's the picture...</p>";
	$src = $vars["name"];
	$w = $vars["imgWidth"];
	$h = $vars["imgHeight"];
	echo "<img src='$src' alt='coloring in' width='$w' height='$h'>";
}
?>

</body>
</html>
